Bug 426535 - Review Request: freetalk - A console based Jabber client
Review Request: freetalk - A console based Jabber client
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Smith
Fedora Extras Quality Assurance
:
Depends On: 432336
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-21 16:22 EST by Debarshi Ray
Modified: 2008-02-14 12:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-14 12:05:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
danms: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
failed build (13.02 KB, text/plain)
2008-02-11 05:37 EST, manuel wolfshant
no flags Details

  None (edit)
Description Debarshi Ray 2007-12-21 16:22:31 EST
Spec URL: http://rishi.fedorapeople.org/freetalk.spec
SRPM URL: http://rishi.fedorapeople.org/freetalk-3.0-1.fc8.src.rpm


Description:

Freetalk is a console based Jabber client. It features a readline interface
with completion of buddy names, commands, and even ordinary English words.
Freetalk is extensible, configurable, and scriptable through a Guile interface.
Comment 1 Debarshi Ray 2007-12-21 16:49:32 EST
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=306015
Comment 2 Dan Smith 2008-01-03 13:28:16 EST
Your spec should require guile and loudmouth, and probably libidn, glib,
readline, ncurses, and libstdc++.
Comment 3 Debarshi Ray 2008-01-07 11:06:57 EST
(In reply to comment #2)

> Your spec should require guile and loudmouth, and probably libidn, glib,
> readline, ncurses, and libstdc++.

They all seem to be taken care of, already:

[rishi@ginger ~]$ rpm --requires -q freetalk
/bin/sh  
/bin/sh  
/bin/sh  
/sbin/install-info  
/sbin/install-info  
libc.so.6()(64bit)  
libc.so.6(GLIBC_2.2.5)(64bit)  
libc.so.6(GLIBC_2.3.4)(64bit)  
libc.so.6(GLIBC_2.4)(64bit)  
libgcc_s.so.1()(64bit)  
libgcc_s.so.1(GCC_3.0)(64bit)  
libglib-2.0.so.0()(64bit)  
libguile.so.17()(64bit)  
libidn.so.11()(64bit)  
libloudmouth-1.so.0()(64bit)  
libm.so.6()(64bit)  
libncurses.so.5()(64bit)  
libreadline.so.5()(64bit)  
libstdc++.so.6()(64bit)  
libstdc++.so.6(CXXABI_1.3)(64bit)  
libstdc++.so.6(GLIBCXX_3.4)(64bit)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)  
[rishi@ginger ~]$ rpm -q freetalk
freetalk-3.0-1.fc8
[rishi@ginger ~]$
Comment 4 Dan Smith 2008-01-07 11:12:29 EST
Hmm, yeah, for some reason that didn't seem to happen on my machine the first
time I looked, but I just rebuilt and it does now.
Comment 5 Debarshi Ray 2008-02-02 17:12:13 EST
Dan, will you be proceeding with the review?
Comment 6 manuel wolfshant 2008-02-11 05:37:22 EST
Created attachment 294547 [details]
failed build

failed build in mock/devel/x86_64
Comment 7 Debarshi Ray 2008-02-11 06:44:41 EST
(In reply to comment #6)

> failed build in mock/devel/x86_64

Looks like a typical gcc-4.3 related issue. Will look into it tonight when I
have access to my own machine. Thanks for the pointer. :-)
Comment 8 Mamoru TASAKA 2008-02-11 07:56:09 EST
(In reply to comment #6)
> Created an attachment (id=294547) [edit]
> failed build
> 
> failed build in mock/devel/x86_64

Filed as bug 432336
Comment 9 Mamoru TASAKA 2008-02-13 12:55:18 EST
Well,

! Now it build on also rawhide (gmp cstdio bug fixed)
http://koji.fedoraproject.org/koji/taskinfo?taskID=423054

* When I just type freetalk, it shows:
-------------------------------------------------------
[tasaka1@localhost freetalk]$ freetalk 
Welcome to freetalk! Running for the first time?
Performing some one-time initializations ... 
Loading dictionary [/usr/share/dict/words]... [479829] words
Jabber ID: 
-------------------------------------------------------
  Maybe adding "Requires: words" is useful?

Other things seems okay to me.
Comment 11 Debarshi Ray 2008-02-13 14:31:26 EST
New Package CVS Request
=======================
Package Name: freetalk
Short Description: A console based Jabber client
Owners: rishi
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 12 Kevin Fenzi 2008-02-13 18:08:34 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.